Runtime

## org.eclipse.gmf.runtime.notation.impl
Class NotationFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.gmf.runtime.notation.impl.NotationFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, NotationFactory

    public class NotationFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements NotationFactory

An implementation of the model Factory.

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`EDATE_FORMATS, ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.gmf.runtime.notation.NotationFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`NotationFactoryImpl()` Creates an instance of the factory

Method Summary
`java.lang.String` `convertAlignmentToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertFilteringToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertFilterKeyListToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertJumpLinkStatusToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertJumpLinkTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertMeasurementUnitToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertRelativeBendpointListToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertRoutingToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertSmoothnessToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertSortingDirectionToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertSortingToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertSortKeyMapToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
`org.eclipse.emf.ecore.EObject` `create(org.eclipse.emf.ecore.EClass eClass)`
`Alignment` `createAlignmentFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`BooleanListValueStyle` `createBooleanListValueStyle()`
`BooleanValueStyle` `createBooleanValueStyle()`
`Bounds` `createBounds()`
`ByteArrayValueStyle` `createByteArrayValueStyle()`
`CanonicalStyle` `createCanonicalStyle()`
`ConnectorStyle` `createConnectorStyle()`
`DataTypeStyle` `createDataTypeStyle()`
`DescriptionStyle` `createDescriptionStyle()`
`Diagram` `createDiagram()`
`DiagramLinkStyle` `createDiagramLinkStyle()`
`DiagramStyle` `createDiagramStyle()`
`DoubleListValueStyle` `createDoubleListValueStyle()`
`DoubleValueStyle` `createDoubleValueStyle()`
`DrawerStyle` `createDrawerStyle()`
`Edge` `createEdge()`
`EObjectListValueStyle` `createEObjectListValueStyle()`
`EObjectValueStyle` `createEObjectValueStyle()`
`FillStyle` `createFillStyle()`
`Filtering` `createFilteringFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`FilteringStyle` `createFilteringStyle()`
`java.util.List` `createFilterKeyListFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`FontStyle` `createFontStyle()`
`java.lang.Object` `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`Guide` `createGuide()`
`GuideStyle` `createGuideStyle()`
`HintedDiagramLinkStyle` `createHintedDiagramLinkStyle()`
`IdentityAnchor` `createIdentityAnchor()`
`Image` `createImage()`
`ImageBufferStyle` `createImageBufferStyle()`
`ImageStyle` `createImageStyle()`
`IntListValueStyle` `createIntListValueStyle()`
`IntValueStyle` `createIntValueStyle()`
`JumpLinkStatus` `createJumpLinkStatusFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`JumpLinkType` `createJumpLinkTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`LineStyle` `createLineStyle()`
`ListValueStyle` `createListValueStyle()`
`Location` `createLocation()`
`MeasurementUnit` `createMeasurementUnitFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`MultiDiagramLinkStyle` `createMultiDiagramLinkStyle()`
`NamedStyle` `createNamedStyle()`
`Node` `createNode()`
`java.util.Map.Entry` `createNodeEntry()`
`PageStyle` `createPageStyle()`
`PropertiesSetStyle` `createPropertiesSetStyle()`
`PropertyValue` `createPropertyValue()`
`Ratio` `createRatio()`
`java.util.List` `createRelativeBendpointListFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`RelativeBendpoints` `createRelativeBendpoints()`
`Routing` `createRoutingFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`RoutingStyle` `createRoutingStyle()`
`ShapeStyle` `createShapeStyle()`
`SingleValueStyle` `createSingleValueStyle()`
`Size` `createSize()`
`Smoothness` `createSmoothnessFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`SortingDirection` `createSortingDirectionFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`Sorting` `createSortingFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`SortingStyle` `createSortingStyle()`
`java.util.Map` `createSortKeyMapFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
`StringListValueStyle` `createStringListValueStyle()`
`java.util.Map.Entry` `createStringToPropertyValueMapEntry()`
`StringValueStyle` `createStringValueStyle()`
`TitleStyle` `createTitleStyle()`
`NotationPackage` `getNotationPackage()`
`static NotationPackage` `getPackage()` Deprecated.
`static NotationFactory` `init()` Creates the default factory implementation

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### NotationFactoryImpl

    public NotationFactoryImpl()

  Creates an instance of the factory.

  ** Generated **

Method Detail

### init

    public static NotationFactory init()

  Creates the default factory implementation.

  ** Generated **

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
  ** Generated **

### createFromString

    public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
  ** Generated **

### convertToString

    public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
  ** Generated **

### createEdge

    public Edge createEdge()

  Specified by:
    `createEdge` in interface `NotationFactory`
  Returns:
    a new object of class 'Edge'.
  ** Generated **

### createNode

    public Node createNode()

  Specified by:
    `createNode` in interface `NotationFactory`
  Returns:
    a new object of class 'Node'.
  ** Generated **

### createFillStyle

    public FillStyle createFillStyle()

  Specified by:
    `createFillStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Fill Style'.
  ** Generated **

### createLineStyle

    public LineStyle createLineStyle()

  Specified by:
    `createLineStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Line Style'.
  ** Generated **

### createFontStyle

    public FontStyle createFontStyle()

  Specified by:
    `createFontStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Font Style'.
  ** Generated **

### createTitleStyle

    public TitleStyle createTitleStyle()

  Specified by:
    `createTitleStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Title Style'.
  ** Generated **

### createSortingStyle

    public SortingStyle createSortingStyle()

  Specified by:
    `createSortingStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Sorting Style'.
  ** Generated **

### createDescriptionStyle

    public DescriptionStyle createDescriptionStyle()

  Specified by:
    `createDescriptionStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Description Style'.
  ** Generated **

### createSize

    public Size createSize()

  Specified by:
    `createSize` in interface `NotationFactory`
  Returns:
    a new object of class 'Size'.
  ** Generated **

### createLocation

    public Location createLocation()

  Specified by:
    `createLocation` in interface `NotationFactory`
  Returns:
    a new object of class 'Location'.
  ** Generated **

### createBounds

    public Bounds createBounds()

  Specified by:
    `createBounds` in interface `NotationFactory`
  Returns:
    a new object of class 'Bounds'.
  ** Generated **

### createRatio

    public Ratio createRatio()

  Specified by:
    `createRatio` in interface `NotationFactory`
  Returns:
    a new object of class 'Ratio'.
  ** Generated **

### createIdentityAnchor

    public IdentityAnchor createIdentityAnchor()

  Specified by:
    `createIdentityAnchor` in interface `NotationFactory`
  Returns:
    a new object of class 'Identity Anchor'.
  ** Generated **

### createRoutingStyle

    public RoutingStyle createRoutingStyle()

  Specified by:
    `createRoutingStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Routing Style'.
  ** Generated **

### createRelativeBendpoints

    public RelativeBendpoints createRelativeBendpoints()

  Specified by:
    `createRelativeBendpoints` in interface `NotationFactory`
  Returns:
    a new object of class 'Relative Bendpoints'.
  ** Generated **

### createCanonicalStyle

    public CanonicalStyle createCanonicalStyle()

  Specified by:
    `createCanonicalStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Canonical Style'.
  ** Generated **

### createShapeStyle

    public ShapeStyle createShapeStyle()

  Specified by:
    `createShapeStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Shape Style'.
  ** Generated **

### createConnectorStyle

    public ConnectorStyle createConnectorStyle()

  Specified by:
    `createConnectorStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Connector Style'.
  ** Generated **

### createDiagram

    public Diagram createDiagram()

  Specified by:
    `createDiagram` in interface `NotationFactory`
  Returns:
    a new object of class 'Diagram'.
  ** Generated **

### createImage

    public Image createImage()

  Specified by:
    `createImage` in interface `NotationFactory`
  Returns:
    a new object of class 'Image'.
  ** Generated **

### createPageStyle

    public PageStyle createPageStyle()

  Specified by:
    `createPageStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Page Style'.
  ** Generated **

### createDrawerStyle

    public DrawerStyle createDrawerStyle()

  Specified by:
    `createDrawerStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Drawer Style'.
  ** Generated **

### createGuideStyle

    public GuideStyle createGuideStyle()

  Specified by:
    `createGuideStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Guide Style'.
  ** Generated **

### createGuide

    public Guide createGuide()

  Specified by:
    `createGuide` in interface `NotationFactory`
  Returns:
    a new object of class 'Guide'.
  ** Generated **

### createNodeEntry

    public java.util.Map.Entry createNodeEntry()

  ** Generated **

### createFilteringStyle

    public FilteringStyle createFilteringStyle()

  Specified by:
    `createFilteringStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Filtering Style'.
  ** Generated **

### createDiagramStyle

    public DiagramStyle createDiagramStyle()

  Specified by:
    `createDiagramStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Diagram Style'.
  ** Generated **

### createImageStyle

    public ImageStyle createImageStyle()

  Specified by:
    `createImageStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Image Style'.
  ** Generated **

### createImageBufferStyle

    public ImageBufferStyle createImageBufferStyle()

  Specified by:
    `createImageBufferStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Image Buffer Style'.
  ** Generated **

### createPropertiesSetStyle

    public PropertiesSetStyle createPropertiesSetStyle()

  Specified by:
    `createPropertiesSetStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Properties Set Style'.
  ** Generated **

### createStringToPropertyValueMapEntry

    public java.util.Map.Entry createStringToPropertyValueMapEntry()

  ** Generated **

### createPropertyValue

    public PropertyValue createPropertyValue()

  Specified by:
    `createPropertyValue` in interface `NotationFactory`
  Returns:
    a new object of class 'Property Value'.
  ** Generated **

### createSingleValueStyle

    public SingleValueStyle createSingleValueStyle()

  Specified by:
    `createSingleValueStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Single Value Style'.
  ** Generated **

### createListValueStyle

    public ListValueStyle createListValueStyle()

  Specified by:
    `createListValueStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'List Value Style'.
  ** Generated **

### createNamedStyle

    public NamedStyle createNamedStyle()

  Specified by:
    `createNamedStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Named Style'.
  ** Generated **

### createDataTypeStyle

    public DataTypeStyle createDataTypeStyle()

  Specified by:
    `createDataTypeStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Data Type Style'.
  ** Generated **

### createIntValueStyle

    public IntValueStyle createIntValueStyle()

  Specified by:
    `createIntValueStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Int Value Style'.
  ** Generated **

### createIntListValueStyle

    public IntListValueStyle createIntListValueStyle()

  Specified by:
    `createIntListValueStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Int List Value Style'.
  ** Generated **

### createBooleanValueStyle

    public BooleanValueStyle createBooleanValueStyle()

  Specified by:
    `createBooleanValueStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Boolean Value Style'.
  ** Generated **

### createDoubleValueStyle

    public DoubleValueStyle createDoubleValueStyle()

  Specified by:
    `createDoubleValueStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Double Value Style'.
  ** Generated **

### createDoubleListValueStyle

    public DoubleListValueStyle createDoubleListValueStyle()

  Specified by:
    `createDoubleListValueStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Double List Value Style'.
  ** Generated **

### createStringValueStyle

    public StringValueStyle createStringValueStyle()

  Specified by:
    `createStringValueStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'String Value Style'.
  ** Generated **

### createStringListValueStyle

    public StringListValueStyle createStringListValueStyle()

  Specified by:
    `createStringListValueStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'String List Value Style'.
  ** Generated **

### createEObjectValueStyle

    public EObjectValueStyle createEObjectValueStyle()

  Specified by:
    `createEObjectValueStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'EObject Value Style'.
  ** Generated **

### createEObjectListValueStyle

    public EObjectListValueStyle createEObjectListValueStyle()

  Specified by:
    `createEObjectListValueStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'EObject List Value Style'.
  ** Generated **

### createByteArrayValueStyle

    public ByteArrayValueStyle createByteArrayValueStyle()

  Specified by:
    `createByteArrayValueStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Byte Array Value Style'.
  ** Generated **

### createBooleanListValueStyle

    public BooleanListValueStyle createBooleanListValueStyle()

  Specified by:
    `createBooleanListValueStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Boolean List Value Style'.
  ** Generated **

### createHintedDiagramLinkStyle

    public HintedDiagramLinkStyle createHintedDiagramLinkStyle()

  Specified by:
    `createHintedDiagramLinkStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Hinted Diagram Link Style'.
  ** Generated **

### createDiagramLinkStyle

    public DiagramLinkStyle createDiagramLinkStyle()

  Specified by:
    `createDiagramLinkStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Diagram Link Style'.
  ** Generated **

### createMultiDiagramLinkStyle

    public MultiDiagramLinkStyle createMultiDiagramLinkStyle()

  Specified by:
    `createMultiDiagramLinkStyle` in interface `NotationFactory`
  Returns:
    a new object of class 'Multi Diagram Link Style'.
  ** Generated **

### createSortingFromString

    public Sorting createSortingFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                           java.lang.String initialValue)

  ** Generated **

### convertSortingToString

    public java.lang.String convertSortingToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                   java.lang.Object instanceValue)

  ** Generated **

### createFilteringFromString

    public Filtering createFilteringFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                               java.lang.String initialValue)

  ** Generated **

### convertFilteringToString

    public java.lang.String convertFilteringToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.Object instanceValue)

  ** Generated **

### createRoutingFromString

    public Routing createRoutingFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                           java.lang.String initialValue)

  ** Generated **

### convertRoutingToString

    public java.lang.String convertRoutingToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                   java.lang.Object instanceValue)

  ** Generated **

### createSmoothnessFromString

    public Smoothness createSmoothnessFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                 java.lang.String initialValue)

  ** Generated **

### convertSmoothnessToString

    public java.lang.String convertSmoothnessToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                      java.lang.Object instanceValue)

  ** Generated **

### createJumpLinkStatusFromString

    public JumpLinkStatus createJumpLinkStatusFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.String initialValue)

  ** Generated **

### convertJumpLinkStatusToString

    public java.lang.String convertJumpLinkStatusToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                          java.lang.Object instanceValue)

  ** Generated **

### createJumpLinkTypeFromString

    public JumpLinkType createJumpLinkTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.String initialValue)

  ** Generated **

### convertJumpLinkTypeToString

    public java.lang.String convertJumpLinkTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                        java.lang.Object instanceValue)

  ** Generated **

### createAlignmentFromString

    public Alignment createAlignmentFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                               java.lang.String initialValue)

  ** Generated **

### convertAlignmentToString

    public java.lang.String convertAlignmentToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                     java.lang.Object instanceValue)

  ** Generated **

### createSortingDirectionFromString

    public SortingDirection createSortingDirectionFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.String initialValue)

  ** Generated **

### convertSortingDirectionToString

    public java.lang.String convertSortingDirectionToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                            java.lang.Object instanceValue)

  ** Generated **

### createMeasurementUnitFromString

    public MeasurementUnit createMeasurementUnitFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                           java.lang.String initialValue)

  ** Generated **

### convertMeasurementUnitToString

    public java.lang.String convertMeasurementUnitToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                           java.lang.Object instanceValue)

  ** Generated **

### createRelativeBendpointListFromString

    public java.util.List createRelativeBendpointListFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                java.lang.String initialValue)

  ** Generated **
    NOT

### convertRelativeBendpointListToString

    public java.lang.String convertRelativeBendpointListToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                 java.lang.Object instanceValue)

  ** Generated **
    NOT

### createFilterKeyListFromString

    public java.util.List createFilterKeyListFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                        java.lang.String initialValue)

  ** Generated **
    NOT

### convertFilterKeyListToString

    public java.lang.String convertFilterKeyListToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.Object instanceValue)

  ** Generated **
    NOT

### createSortKeyMapFromString

    public java.util.Map createSortKeyMapFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                    java.lang.String initialValue)

  ** Generated **
    NOT

### convertSortKeyMapToString

    public java.lang.String convertSortKeyMapToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                      java.lang.Object instanceValue)

  ** Generated **
    NOT

### getNotationPackage

    public NotationPackage getNotationPackage()

  Specified by:
    `getNotationPackage` in interface `NotationFactory`
  Returns:
    the package supported by this factory.
  ** Generated **

### getPackage

    public static NotationPackage getPackage()

  Deprecated.

  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.